Summary:	PLD Linux script to create RPMS from CPAN modules
Summary(pl.UTF-8):	Skrypt PLD tworzący pakiety RPM z modułów z CPAN
Name:		pldcpan
Version:	1.66
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	%{name}.pl
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Data-Dump
Requires:	perl-Encode
Requires:	perl-LWP-Protocol-https
Requires:	perl-Crypt-SSLeay
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pldcpan creates RPMs from CPAN archives, automating the locating, spec
file creation.

%description -l pl.UTF-8
pldcpan tworzy pakiety RPM z archiwów CPAN automatyzując odnajdywanie
modułu i tworzenie pliku spec.

%prep
%setup -qcT
# make sure we have the version we claim to have, fail otherwise
ver=$(%{__perl} -MExtUtils::MM_Unix -e 'print ExtUtils::MM_Unix->parse_version(shift)' %{SOURCE0})
if [ "$ver" != "%{version}" ]; then
	: Update Version to $ver, and retry
	exit 1
fi
install -p %{SOURCE0} .

%build
pod2man -c "" pldcpan.pl > pldcpan.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p pldcpan.pl $RPM_BUILD_ROOT%{_bindir}/pldcpan
cp -a pldcpan.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pldcpan
%{_mandir}/man1/pldcpan.1*
%changelog
* Fri Jul 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pldcpan.git;a=log;h=master

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 0cdbb67
- release as 1.66

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 481f887
- updated template

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> f8ad964
- updated pldcpan.pl to treat '_' as legal module name part character instead of possible separator

* Tue Feb 22 2022 Jan Rękorajski <baggins@pld-linux.org> f17f835
- fix https fetch, rel 5

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> eef7d4b
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 677b836
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2fee839
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 6275b85
- release as 1.65

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> f71498c
- require macros >= 1.745 instead of including macros.perl

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7ece90f
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Oct 02 2018 Jakub Bogusz <qboosh@pld-linux.org> f5f451d
- version 1.64: allow X-Y dist format again
- R: perl-LWP-Protocol-https

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6687e29
- 1.63; use metacpan.org instead of deprecated search.cpan.org

* Sat Jan 10 2015 Elan Ruusamäe <glen@delfi.ee> 239686d
- rebuild with perl autodeps (perl(Template) was missing); drop autodeps bcond

* Fri Feb 22 2013 Elan Ruusamäe <glen@delfi.ee> 7f8ef52
- rebuild after git migration

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> e7afe34
- hardcode VERSION, no longer maintained by vcs

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> 295ac25
- bumped version due git migration

* Fri Oct 19 2012 Sławomir Paszkiewicz <paszczus@pld-linux.org> bf1caf2
- removed obsolete CVS parts

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 8a5c54f
- very large cosmetics

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> ec1ceb4
- 1.60

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 9b09f98
- formatting cosmetics

